Index: anuga_work/production/australia_ph2/carnarvon/project.py
===================================================================
--- anuga_work/production/australia_ph2/carnarvon/project.py	(revision 6793)
+++ anuga_work/production/australia_ph2/carnarvon/project.py	(revision 6794)
@@ -8,5 +8,5 @@
 from time import localtime, strftime, gmtime
 from os.path import join, exists
-
+from anuga.lib.add_csv_header.add_csv_header import add_csv_header
 
 #-------------------------------------------------------------------------------
@@ -18,5 +18,4 @@
 state = 'australia_ph2'
 scenario_name = 'carnarvon'
-scenario_folder = scenario_name
 
 #-------------------------------------------------------------------------------
@@ -26,23 +25,33 @@
 # Model specific parameters.
 # One or all can be changed each time the run_model script is executed
+
+central_meridian = 113.5 # Central meridian for projection (optional)
+zone = None
+
+import sys
+if len(sys.argv) > 1:
+    event_number = int(sys.argv[1])
+else:    
+    event_number = 27285    # the event number or the mux file name
+
+event_number_list = [27285, 68754, 70881] # To piggy back multiple events
+# events: 27285 (java), 68794 (sumatra), 70375 (sumba)
+
 tide = 0                # difference between MSL and HAT
-central_meridian = 111.0 # Central meridian for projection (optional)
-event_number = 27285    # the event number or the mux file name
-# events: 27285 (java), 68794 (sumatra), 70375 (sumba)
 alpha = 0.1             # smoothing parameter for mesh
 friction=0.01           # manning's friction coefficient
 starttime=0             # start time for simulation
-finaltime=80000          # final time for simulation
-
-# index is only used when wave = Tb
-index = 109            # index from the PTHA - Y2000 1.6275m
-wave = 'Tb'             # Bf (sts wave) Tb (index wave)
-
-setup = 'final'         # This can be one of three values
+finaltime=1000   #60000 # final time for simulation
+setup = 'trial'         # This can be one of three values
                         #    trial - coarsest mesh, fast
                         #    basic - coarse mesh
                         #    final - fine mesh, slowest
 
-internal_polygon = True
+# index is only used when wave = Tb
+index = 84            # index from the PTHA - Y2000 0.257m
+wave = 'Tb'             # Bf (sts wave) Tb (index wave)
+
+
+internal_polygon = False
 
 #-------------------------------------------------------------------------------
@@ -60,5 +69,5 @@
     internal_poly_comment = 'internal'
 else:
-    internal_poly_comment = None
+    internal_poly_comment = ''
 
 output_comment = [setup, tide, event_number, index, wave, internal_poly_comment]
@@ -71,9 +80,8 @@
 # Used in build_elevation.py
 # Format for ascii grids, as produced in ArcGIS + a projection file
-ascii_grid_filenames = [] # 250m grid 2005
-
-# Format for point is x,y,elevation (with header)
-point_filenames = ['buss_grid250m.txt',
-                   'exmouth_grid250m.txt'] # 250m grid 2005
+ascii_grid_filenames = ['grid250m_simple']
+
+# Format for points is x,y,elevation (with header)
+point_filenames = []               
 
 ### Add csv header list to all files in point_filenames
@@ -82,9 +90,9 @@
 ##    add_csv_header(join(topographies_folder, f), headerlist)
 
-    # BOUNDING POLYGON - for data clipping and estimate of triangles in mesh
+# BOUNDING POLYGON - for data clipping and estimate of triangles in mesh
 # Used in build_elevation.py
-# Format for points easting,northing (no header)
-bounding_polygon_filename = 'bounding_polygon.csv'
-bounding_polygon_maxarea = 100000
+# Format for points: easting,northing (no header)
+bounding_polygon_filename = 'bounding_polygon_simple.csv'
+bounding_polygon_maxarea = 125000
 
 # INTERIOR REGIONS -  for designing the mesh
@@ -108,10 +116,10 @@
 # Used in get_timeseries.py.  
 # Format easting,northing,name,elevation (with header)
-gauges_filename = 'MH_gauges_10m.csv'
+gauges_filename = 'gauges.csv'
 
 # BUILDINGS EXPOSURE - for identifying inundated houses
 # Used in run_building_inundation.py
 # Format latitude,longitude etc (geographic)
-building_exposure_filename = 'busselton_res_clip.csv' # from NEXIS
+building_exposure_filename = '.csv' # from NEXIS
 
 # BOUNDING POLYGON - used in build_boundary.py and run_model.py respectively
@@ -122,18 +130,22 @@
 # Thinned ordering file from Hazard Map (geographic)
 # Format is index,latitude,longitude (with header)
-urs_order_filename = 'urs_order.csv'
+urs_order_filename = 'urs_order_simple.csv'
 
 # Landward bounding points
 # Format easting,northing (no header)
-landward_boundary_filename = 'landward_boundary.csv'
+landward_boundary_filename = 'landward_boundary_simple.csv'
 
 # MUX input filename.
 # If a meta-file from EventSelection is used, set 'multi-mux' to True.
 # If a single MUX stem filename (*.grd) is used, set 'multi-mux' to False.
-##mux_input_filename = event_number # to be found in event_folder
-                                    # (ie boundaries/event_number/)
+##mux_input_filename = 'Java-0016-z.grd'
 ##multi_mux = False
 mux_input_filename = 'event.list'
 multi_mux = True
+
+# Specify if share cache is to be used
+# Whatever is specified here will be relative to INUNDATION_HOME/.cache
+# If nothing is specified, local cache will be used.
+cachedir = '.python_cache_phII'
 
 
@@ -178,7 +190,14 @@
 home = join(os.getenv(ENV_INUNDATIONHOME), 'data') # Absolute path for data folder
 muxhome = os.getenv(ENV_MUXHOME)
+
+# Create absolute pathname for cache directory
+# and change caching to use it
+if 'cachedir' in dir():
+    cachedir = join(os.getenv(ENV_INUNDATIONHOME), '.cache', cachedir)
+    from anuga.caching import caching
+    caching.set_option('cachedir', cachedir) 
     
 # check various directories/files that must exist
-anuga_folder = join(home, state, scenario_folder, 'anuga')
+anuga_folder = join(home, state, scenario_name, 'anuga')
 topographies_folder = join(anuga_folder, 'topographies')
 polygons_folder = join(anuga_folder, 'polygons')
@@ -238,2 +257,4 @@
 # sts gauge with desired index number - used for wave 'Tb'
 boundary_csv = join(event_folder, 'sts_gauge_' + str(index) + '.csv')
+
+