Index: /anuga_work/production/australia_ph2/dampier/Arc_asc2raster_GDA94z50.py
===================================================================
--- /anuga_work/production/australia_ph2/dampier/Arc_asc2raster_GDA94z50.py	(revision 6796)
+++ /anuga_work/production/australia_ph2/dampier/Arc_asc2raster_GDA94z50.py	(revision 6797)
@@ -25,16 +25,7 @@
 output_dir="anuga\\outputs\\"
 
-##time_dir1 = '20081209_155330_run_final_0_27255_250m_none_lfountai'
-##time_dir2 = '20081209_161229_run_final_0_68693_250m_none_lfountai' 
-##time_dirs = [time_dir1, time_dir2]
+time_dir1 = '20090324_140112_run_final_0_70385_Bf_all_kvanputt'
 
-#time_dir1 = '20090311_152848_run_final_0_70385_1203_Bf_jgriffin'
-time_dir2 = '20090323_165436_run_final_0_70385_1203_Tb_jgriffin' 
-#time_dir3 = '20090311_153009_run_final_0_70454_1203_Bf_jgriffin'
-#time_dir4 = '20090311_153054_run_final_0_70339_1203_Bf_jgriffin'
-##time_dir5 = '20081211_095614_run_final_0.0_27283_alpha0.1_jgriffin'
-##time_dir6 = '20081117_141717_run_final_0.6_68693_alpha0.1_kvanputt'
-##
-time_dirs = [time_dir2]#, time_dir2, time_dir3, time_dir4] #, time_dir3, time_dir4, time_dir5, time_dir6]
+time_dirs = [time_dir1]
 
 for time_dir in time_dirs:
@@ -46,6 +37,6 @@
 ##    ocean = scenario_dir + "map_work\\\port_hedland.gdb\\outlines\\initial_conditions_ocean"
 
-##    print 'Process: Create File GDB'
-##    gp.CreateFileGDB_management(folder, "raster")
+    print 'Process: Create File GDB'
+    gp.CreateFileGDB_management(folder, "raster")
 
     gp.Workspace = raster_gbd
Index: /anuga_work/production/australia_ph2/dampier/export_results_max.py
===================================================================
--- /anuga_work/production/australia_ph2/dampier/export_results_max.py	(revision 6796)
+++ /anuga_work/production/australia_ph2/dampier/export_results_max.py	(revision 6797)
@@ -22,6 +22,6 @@
 directory = project.output_folder
 
-##time_dir1 = '20090311_152848_run_final_0_70385_1203_Bf_jgriffin'
-##time_dir2 = '20090311_152929_run_final_0_70385_1203_Tb_jgriffin'
+##time_dir1 = '20090324_110442_run_final_0_70385_Bf_30km_kvanputt'
+##time_dir2 = '20090324_123534_run_final_0_70385_Bf_60km_kvanputt'
 ##time_dir3 = '20090311_153009_run_final_0_70454_1203_Bf_jgriffin'
 time_dir4 = '20090323_165436_run_final_0_70385_1203_Tb_jgriffin'
@@ -52,5 +52,5 @@
 
 # one or more key strings from var_equations above
-var = ['stage']
+var = ['elevation']
 
 ######
Index: /anuga_work/production/australia_ph2/dampier/project.py
===================================================================
--- /anuga_work/production/australia_ph2/dampier/project.py	(revision 6796)
+++ /anuga_work/production/australia_ph2/dampier/project.py	(revision 6797)
@@ -29,15 +29,27 @@
 tide = 0                # difference between MSL and HAT
 zone = 50               # specify zone of model
-event_number = 70385    # the event number or the mux file name
+central_meridian = None
+
+import sys
+if len(sys.argv) > 1:
+    event_number = int(sys.argv[1])
+else:    
+    event_number = 70844    # the event number or the mux file name
+
+event_number_list = [70844, 27338, 70337] # To piggy back multiple events
+
 alpha = 0.1             # smoothing parameter for mesh
 friction=0.01           # manning's friction coefficient
 starttime=0             # start time for simulation
-finaltime=80000          # final time for simulation
+finaltime=1000          # final time for simulation
+
+# for sensetivity study
+model = 'simple' #60km 90km 120km all
 
 # index is only used when wave = Tb
-index = 1203            # index from the PTHA
-wave = 'Bf'             # Bf (sts wave) Tb (index wave)
-
-setup = 'final'         # This can be one of three values
+index = 1307            # index from the PTHA
+wave = 'Tb'             # Bf (sts wave) Tb (index wave)
+
+setup = 'trial'         # This can be one of three values
                         #    trial - coarsest mesh, fast
                         #    basic - coarse mesh
@@ -55,5 +67,5 @@
 #-------------------------------------------------------------------------------
 
-output_comment = [setup, tide, event_number, index, wave]
+output_comment = [setup, tide, event_number, wave, model]
 
 #-------------------------------------------------------------------------------
@@ -64,8 +76,8 @@
 # Used in build_elevation.py
 # Format for ascii grids, as produced in ArcGIS + a projection file
-ascii_grid_filenames = [] # 250m grid 2005
+ascii_grid_filenames = ['grid250m_simple'] # 250m grid 2005
 
 # Format for point is x,y,elevation (with header)
-point_filenames = ['grid250m.txt'] # 250m grid 2005
+point_filenames = [] # 250m grid 2005
 
 ### Add csv header list to all files in point_filenames
@@ -77,5 +89,5 @@
 # Used in build_elevation.py
 # Format for points easting,northing (no header)
-bounding_polygon_filename = 'bounding_polygon.csv'
+bounding_polygon_filename = 'poly_all_' + model + '.csv'
 bounding_polygon_maxarea = 100000
 
@@ -106,9 +118,9 @@
 # Thinned ordering file from Hazard Map (geographic)
 # Format is index,latitude,longitude (with header)
-urs_order_filename = 'urs_order.csv'
+urs_order_filename = 'urs_order_' + model + '.csv'
 
 # Landward bounding points
 # Format easting,northing (no header)
-landward_boundary_filename = 'landward_boundary.csv'
+landward_boundary_filename = 'landward_boundary_' + model + '.csv'
 
 # MUX input filename.
@@ -121,6 +133,8 @@
 multi_mux = True
 
-
-
+# Specify if share cache is to be used
+# Whatever is specified here will be relative to INUNDATION_HOME/.cache
+# If nothing is specified, local cache will be used.
+cachedir = '.python_cache_phII'
 
 ################################################################################
@@ -164,5 +178,12 @@
 home = join(os.getenv(ENV_INUNDATIONHOME), 'data') # Absolute path for data folder
 muxhome = os.getenv(ENV_MUXHOME)
-    
+
+# Create absolute pathname for cache directory
+# and change caching to use it
+if 'cachedir' in dir():
+    cachedir = join(os.getenv(ENV_INUNDATIONHOME), '.cache', cachedir)
+    from anuga.caching import caching
+    caching.set_option('cachedir', cachedir) 
+ 
 # check various directories/files that must exist
 anuga_folder = join(home, state, scenario_folder, 'anuga')
@@ -201,5 +222,5 @@
 
 # The absolute pathname for the .sts file, generated in build_boundary.py
-event_sts = join(event_folder, scenario_name)
+event_sts = join(event_folder, scenario_name)+ '_' +model
 
 # The absolute pathname for the output folder names
Index: /anuga_work/production/australia_ph2/dampier/run_model.py
===================================================================
--- /anuga_work/production/australia_ph2/dampier/run_model.py	(revision 6796)
+++ /anuga_work/production/australia_ph2/dampier/run_model.py	(revision 6797)
@@ -45,4 +45,5 @@
 from anuga.shallow_water.data_manager import copy_code_files
 from anuga.shallow_water.data_manager import urs2sts
+from anuga.geospatial_data.geospatial_data import Geospatial_data
 from anuga.utilities.polygon import read_polygon, Polygon_function
 
@@ -51,4 +52,11 @@
 import build_urs_boundary as bub
 import prepare_timeboundary as TB
+
+##Used to clip elevation pts file
+##elevation_geospatial = Geospatial_data(file_name=project.combined_elevation+'.pts',
+##                                                    verbose=True)
+##elevation_geospatial = elevation_geospatial.clip(project.bounding_polygon)
+##elevation = project.combined_elevation + '_' + project.model
+##elevation_geospatial.export_points_file(elevation + '.pts')
 
 #-------------------------------------------------------------------------------
@@ -128,5 +136,5 @@
 domain.set_quantity('friction', project.friction) 
 domain.set_quantity('elevation', 
-                    filename=project.combined_elevation+'.pts',
+                    filename = elevation + '.pts',
                     use_cache=True,
                     verbose=True,
@@ -156,5 +164,5 @@
                         verbose=True)
     domain.set_boundary({'back': Br,
-                     'side': Bd,
+                     'side': Bt,
                      'ocean': Bf}) 
     