Index: /branches/numpy_misc/tools/write_large_files/rw_big_file.py
===================================================================
--- /branches/numpy_misc/tools/write_large_files/rw_big_file.py	(revision 6816)
+++ /branches/numpy_misc/tools/write_large_files/rw_big_file.py	(revision 6817)
@@ -7,5 +7,5 @@
 import getopt
 import time
-import Numeric
+import numpy as num
 import Scientific.IO.NetCDF as nc
 
@@ -59,5 +59,5 @@
 def read_file(filename, variable_size, num_variables):
     # create a data array slice
-    slice_array_mask = Numeric.ones((XDIM,), 'd')
+    slice_array_mask = numpy.ones((XDIM,), 'd')
 
     # if timing file read, get start time
@@ -102,5 +102,5 @@
 
             var_array = fid.variables[varname][index,:]
-            if var_array != slice_array:
+            if num.any(var_array != slice_array):
                 result = False
                 if Verbose:
@@ -148,5 +148,5 @@
 
     # create a data array slice
-    slice_array_mask = Numeric.ones((XDIM,), 'd')
+    slice_array_mask = numpy.ones((XDIM,), 'd')
 
     # if timing file write, remember start time
Index: /branches/numpy_misc/tools/write_large_files/rwi4_big_file.py
===================================================================
--- /branches/numpy_misc/tools/write_large_files/rwi4_big_file.py	(revision 6816)
+++ /branches/numpy_misc/tools/write_large_files/rwi4_big_file.py	(revision 6817)
@@ -17,5 +17,5 @@
 import getopt
 import time
-import Numeric
+import numpy as num
 import Scientific.IO.NetCDF as nc
 
@@ -61,5 +61,5 @@
 def read_file(filename, variable_size, num_variables):
     # create a data array slice
-    slice_array_mask = Numeric.ones((XDIM,), 'd')
+    slice_array_mask = num.ones((XDIM,), 'd')
 
     # if timing file read, get start time
@@ -98,5 +98,5 @@
 #            var_array = fid.variables[varname][slice_number,:]
             var_array = var[slice_number,:]
-            if var_array != slice_array:
+            if num.any(var_array != slice_array):
                 print 'Read variable %s, slice %d: got unexpected value' % \
                       (varname, slice_number)
@@ -134,5 +134,5 @@
 
     # create a data array slice
-    slice_array_mask = Numeric.ones((XDIM,), 'd')
+    slice_array_mask = num.ones((XDIM,), 'd')
 
     # if timing file write, remember start time
Index: /branches/numpy_misc/tools/write_large_files/rwi_big_file.py
===================================================================
--- /branches/numpy_misc/tools/write_large_files/rwi_big_file.py	(revision 6816)
+++ /branches/numpy_misc/tools/write_large_files/rwi_big_file.py	(revision 6817)
@@ -17,5 +17,5 @@
 import getopt
 import time
-import Numeric
+import numpy as num
 import Scientific.IO.NetCDF as nc
 
@@ -61,5 +61,5 @@
 def read_file(filename, variable_size, num_variables):
     # create a data array slice
-    slice_array_mask = Numeric.ones((XDIM,), 'd')
+    slice_array_mask = num.ones((XDIM,), 'd')
 
     # if timing file read, get start time
@@ -98,5 +98,5 @@
 
             var_array = fid.variables[varname][slice_number,:]
-            if var_array != slice_array:
+            if num.any(var_array != slice_array):
                 result = False
                 if Verbose:
@@ -141,5 +141,5 @@
 
     # create a data array slice
-    slice_array_mask = Numeric.ones((XDIM,), 'd')
+    slice_array_mask = num.ones((XDIM,), 'd')
 
     # if timing file write, remember start time
Index: /branches/numpy_misc/tools/write_large_files/rwil_big_file.py
===================================================================
--- /branches/numpy_misc/tools/write_large_files/rwil_big_file.py	(revision 6816)
+++ /branches/numpy_misc/tools/write_large_files/rwil_big_file.py	(revision 6817)
@@ -17,5 +17,5 @@
 import getopt
 import time
-import Numeric
+import numpy as num
 import Scientific.IO.NetCDF as nc
 
@@ -61,5 +61,5 @@
 def read_file(filename, variable_size, num_variables):
     # create a data array slice
-    slice_array_mask = Numeric.ones((XDIM,), 'd')
+    slice_array_mask = num.ones((XDIM,), 'd')
 
     # if timing file read, get start time
@@ -97,5 +97,5 @@
             var_array = fid.variables[varname][slice_number,:]
 
-            if var_array != slice_array:
+            if num.any(var_array != slice_array):
                 print 'Read variable %s, slice %d: got unexpected value' % \
                       (varname, slice_number)
@@ -133,5 +133,5 @@
 
     # create a data array slice
-    slice_array_mask = Numeric.ones((XDIM,), 'd')
+    slice_array_mask = num.ones((XDIM,), 'd')
 
     # if timing file write, remember start time
Index: /branches/numpy_misc/tools/write_large_files/write_big_file.py
===================================================================
--- /branches/numpy_misc/tools/write_large_files/write_big_file.py	(revision 6816)
+++ /branches/numpy_misc/tools/write_large_files/write_big_file.py	(revision 6817)
@@ -7,5 +7,5 @@
 import getopt
 import time
-import Numeric
+import numpy as num
 import Scientific.IO.NetCDF as nc
 
@@ -54,5 +54,5 @@
 
     # create a data array slice
-    slice_array = Numeric.ones((XDIM,), 'i')
+    slice_array = num.ones((XDIM,), 'i')
 
     # if timing file write, remember start time