Index: /anuga_work/publications/boxing_day_validation_2008/patong_validation.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/patong_validation.tex	(revision 6899)
+++ /anuga_work/publications/boxing_day_validation_2008/patong_validation.tex	(revision 6900)
@@ -170,4 +170,5 @@
 %================Section===========================
 \section{Results}
+\label{sec:results}
 Maximum onshore inundation elevation was simulated throughout the entire Patong Bay region. Figure~\ref{fig:inundationcomparison1cm} shows very good agreement between the measured and simulated inundation. Discrepencies between the survey data and the modelled inundated area are apparant and would be due to a number of issues: These include uncertainties in the elevation data, simplifications in the models involved, effects of erosion and deposition by the tsunami event, unknown distribution of surface roughness, as well as measurement errors and missing data in the field survey data itself. 
 
@@ -188,4 +189,117 @@
 \end{center}
 \end{figure}
+
+
+
+
+%================Section===========================
+\section{Sensitivities of inundation model}
+
+This section shows how model results vary as a result of changing the waveheight at the ANUGA boundary where it was coupled with the URSGA model 
+(Figures \ref{fig:sensitivity_boundary} and 
+\ref{fig:sensitivity_boundary_speed}), how model
+results vary with different values of Manning's friction coefficient 
+(Figures \ref{fig:sensitivity_friction} and 
+\ref{fig:sensitivity_friction_speed}),
+and finally
+the effect of removing buildings from the elevation dataset.
+(Figures \ref{fig:sensitivity_nobuildings} and 
+\ref{fig:sensitivity_nobuildings_speed}).
+
+The observations are as expected; The inundation extent increases with 
+boundary waveheight and decreases with friction. It also increases if 
+buildings are removed from the model. From the maximal inundation figures it
+appears that the presence or absence of buildings is the most important parameter followed by the right choice of friction whereas a small pertubation in
+the waveheight at the ANUGA boundary has comparatively little effect on the model results.
+
+FIXME(Ole): It would be nice if we could be a little more quantitative - e.g. along the lines of the MISG study that John and Jane participated in. Thoughts anyone?
+
+ 
+
+
+\begin{figure}[ht]
+\begin{center}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_reference}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_minus10}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_plus10}
+\caption{Model results with waveight at ANUGA boundary artifically modified 
+to asses sensitivities. The first image is the reference inundation extent as reported in Section \protect \ref{sec:results} while the second and third show the inundation results if the wave at the ANUGA boundary is reduced or increased by 10cm respectively. As expected the inundation severity varies in proportion to the boundary waveheight, but the model results are not overly sensitive to 
+this parameter.}
+\label{fig:sensitivity_boundary}
+\end{center}
+\end{figure}
+
+
+\begin{figure}[ht]
+\begin{center}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_reference_speed}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_minus10_speed}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_plus10_speed}
+\caption{Same models as in Figure \protect \ref{sensitivity_boundary} but
+showing the maximal flow speeds.}
+\label{fig:sensitivity_boundary_speed}
+\end{center}
+\end{figure}
+
+
+
+\begin{figure}[ht]
+\begin{center}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_reference}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_f0003}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_f03}
+\caption{Model results for different values of Manning's friction coefficient.
+The first image is the reference inundation extent as reported in Section \protect \ref{sec:results} where the friction value $0.01$ was used across the 
+entire domain while the second and third show the inundation results for friction values of 0.0003 and 0.03 respectively. As expected, the inundation extent increases for the lower friction value while the higher slows the flow and decreases the inundation extent. Ideally, friction should vary across the entire domain depending on terrain and vegetation, but this has not been done in this study.}
+\label{fig:sensitivity_friction}
+\end{center}
+\end{figure}
+
+
+
+
+\begin{figure}[ht]
+\begin{center}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_reference_speed}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_f0003_speed}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_f03_speed}
+\caption{Same models as in Figure \protect \ref{sensitivity_friction} but
+showing the maximal flow speeds.}
+\label{fig:sensitivity_friction_speed}
+\end{center}
+\end{figure}
+
+
+\begin{figure}[ht]
+\begin{center}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_reference}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_nobuildings}
+\caption{This figure shows the effect of having buildings as part of the 
+elevation data set.
+The first image is the reference inundation extent as reported in Section \protect \ref{sec:results} where buildings were included. The second shows the inundation results for a model entirely without buildings.
+As expected, the absence of buildings will increase the inundation extent 
+beyond what was surveyed.}
+\label{fig:sensitivity_nobuildings}
+\end{center}
+\end{figure}
+
+
+\begin{figure}[ht]
+\begin{center}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_reference_speed}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_nobuildings_speed}
+\caption{Same models as in Figure \protect \ref{sensitivity_nobuildings} but
+showing the maximal flow speeds.}
+\label{fig:sensitivity_nobuildings_speed}
+\end{center}
+\end{figure}
+
+
+
+
+
+
+
+
 
 